window.onload = function () {
    // Fetch JSON data from the provided URL
    fetch('https://raw.githubusercontent.com/apan1121/powerInfoV2/gh-pages/log/summary.log')
        .then(response => response.json())
        .then(data => {
            // Call function to convert JSON data to a table
            createTable(data);
        })
        .catch(error => console.error('Error fetching data:', error));
};

function createTable(data) {
    // Get the table element
    const table = document.getElementById('data-table');

    // Create table header
    let headerRow = table.insertRow();
    let headerCell = document.createElement('th');
    headerCell.textContent = 'Date-Time';
    headerRow.appendChild(headerCell);

    // Extract and add column headers
    const firstEntry = data[Object.keys(data)[0]];
    for (const category in firstEntry) {
        headerCell = document.createElement('th');
        headerCell.textContent = category;
        headerRow.appendChild(headerCell);
    }

    // Add table rows with data
    for (const date in data) {
        const rowData = data[date];
        const row = table.insertRow();
        let cell = row.insertCell();
        cell.textContent = date;

        for (const category in rowData) {
            cell = row.insertCell();
            cell.textContent = `${rowData[category].used} / ${rowData[category].cap}`;
        }
    }
}
